SystemOrganization addCategory: #'Xenon-Library'!

Trait named: #XeTAssert
	uses: {}
	category: 'Xenon-Library'!

!XeTAssert commentStamp: 'BernardoContreras 6/20/2012 19:30' prior: 0!
The assert macro, defined in the header file `assert.h', provides a convenient way to abort the program while printing a message about where in the program the error was detected.!

!XeTAssert classSide methodsFor: 'translation' stamp: 'BernardoContreras 6/22/2012 20:56'!
defineAssertOn: cg
	cg addHeaderFile: '<assert.h>'! !

!XeTAssert methodsFor: 'assert' stamp: 'BernardoContreras 6/20/2012 19:32'!
assert: expression
	"be careful. this message expects a boolean expression and not a block. it overrides Object>>#assert:"

	<doNotTranslate>
	expression
		ifFalse: [ AssertionFailure signal: 'Assertion failed' ]! !

Trait named: #XeTSimpleMain
	uses: {}
	category: 'Xenon-Library'!

!XeTSimpleMain commentStamp: 'BernardoContreras 6/22/2012 20:00' prior: 0!
Provides the main method for c without a prototype declaration and no arguments.
You should implement the mainEntry message in your class.
!

!XeTSimpleMain methodsFor: 'main' stamp: 'BernardoContreras 6/20/2012 19:32'!
main
	<noFunctionPrototype>
	<returnType: #int>
	^ self mainEntry! !

!XeTSimpleMain methodsFor: 'main' stamp: 'BernardoContreras 6/22/2012 00:06'!
mainEntry
	<returnType: #int>
	self explicitRequirement! !

Trait named: #XeTStdio
	uses: {}
	category: 'Xenon-Library'!

!XeTStdio commentStamp: '<historical>' prior: 0!
The <stdio.h> Header File
ANSI-compatible file and TTY input/output routines!

!XeTStdio classSide methodsFor: 'translation' stamp: 'BernardoContreras 6/22/2012 21:00'!
defineStdioOn: cg
	cg addHeaderFile: '<stdio.h>'! !

!XeTStdio methodsFor: 'stdio' stamp: 'BernardoContreras 6/19/2012 23:32'!
puts: aString
	"Write a string, followed by a newline, to stdout."

	<doNotTranslate>
	Smalltalk tools transcript
		show: aString;
		cr! !
